# Note that this is NOT a relocatable package
%define name	libxslt
%define version 1.0.3
%define release 1mdk
%define major 1

#%define prefix   /usr

Summary: Library providing XSLT support
Name:    %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
Source: ftp://xmlsoft.org/XSLT/libxslt-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libxml2 >= 2.4.3
BuildRequires: libxml2-devel >= 2.4.3

URL: http://xmlsoft.org/XSLT/
#Docdir: %{prefix}/doc

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.4.3
installed.

%package -n %{name}-proc
Summary: XSLT processor using libxslt
Group: System/Libraries
Requires: %{name}%{major} = %{version}

%description  -n %{name}-proc
This package provides an XSLT processor based on the libxslt C library. 
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 


%package -n %{name}%{major}
Summary: Library providing XSLT support
Group: System/Libraries
Requires: libxml2 >= 2.4.3

%description  -n %{name}%{major}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.4.3
installed.
A xslt processor based on this library, named xsltproc, is provided by 
the libxslt-proc package.

%package -n %{name}%{major}-devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Provides: %{name}-devel
Requires: %{name}%{major} = %{version}
Requires: libxml2-devel >= 2.4.3

%description -n %{name}%{major}-devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.4.3
installed.

%prep
%setup -q

# remove conflicting ltconfig and ltmain.sh
(cd $RPM_BUILD_DIR/%{name}-%{version} && \
rm -f ltmain.sh ltconfig && \
libtoolize --force && \
aclocal &&
autoconf)

%build
%configure
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/man/man4

%makeinstall
#make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig 

%postun -n %{name}%{major} -p /sbin/ldconfig

%files -n %{name}-proc
%defattr(-, root, root)
%{_bindir}/xsltproc

%files -n %{name}%{major}
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO FEATURES
%doc doc/*.html doc/html

%{_libdir}/lib*.so.*

%files -n %{name}%{major}-devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*
%{_bindir}/xslt-config

%changelog
* Fri Aug 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.3-1mdk
- release 1.0.3 in sync with libxml2 2.4.3

* Tue Aug 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.2-1mdk
- new version

* Tue Jul 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.1-2mdk
- updated requires on libxml2

* Tue Jul 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.1-1mdk
- new version

* Wed Jul 11 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.0-1mdk
- first stable version; many thanks to Daniel Veillard for this really 
wonderful lib (as well as libxml2).

* Tue Jul 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.14.0-1mdk
- new version

* Thu Jun 28 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.13.0-1mdk
- new version

* Tue Jun 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.11.0-1mdk
- new version

* Fri May  4 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-1mdk
- new version, patch not needed anymore

* Wed Apr 25 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.0-2mdk
- patch for multiple parameters in xsltproc

* Tue Apr 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.0-1mdk
- new version

* Thu Apr 19 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.0-1mdk
- first Mandrake release
- libification
- macroszification
- satisfaction ;-)

* Mon Jan 22 2001 Daniel.Veillard <Daniel.Veillard@imag.fr>

- created based on libxml2 spec file

